import 'package:mpv/mpv.dart';
import 'package:rxdart/rxdart.dart';

mixin SampleView implements View {
  final counter = BehaviorSubject<CounterState>();

  @override
  close() {
    counter.close();
  }
}

class CounterState {
  final bool isProgress;
  final int count;

  CounterState(
    this.count, {
    this.isProgress = false,
  });
}
